TagLib::ID3v2::PrivateFrame Class Reference

An implementation of ID3v2 private frame. More...

`#include <privateframe.h>`

Inheritance diagram for TagLib::ID3v2::PrivateFrame:
[legend]
Collaboration diagram for TagLib::ID3v2::PrivateFrame:
[legend]

## Public Member Functions

| PrivateFrame ()
| PrivateFrame (const ByteVector &data)
| ~PrivateFrame () override
| PrivateFrame (const PrivateFrame &)=delete
PrivateFrame & | operator= (const PrivateFrame &)=delete
String | toString () const override
String | owner () const
ByteVector | data () const
void | setOwner (const String &s)
void | setData (const ByteVector &data)
Public Member Functions inherited from TagLib::ID3v2::Frame
virtual | ~Frame ()
| Frame (const Frame &)=delete
Frame & | operator= (const Frame &)=delete
ByteVector | frameID () const
unsigned int | size () const
unsigned int | headerSize () const
void | setData (const ByteVector &data)
virtual void | setText (const String &text)
virtual StringList | toStringList () const
ByteVector | render () const
Header * | header () const

## Protected Member Functions

void | parseFields (const ByteVector &data) override
ByteVector | renderFields () const override
Protected Member Functions inherited from TagLib::ID3v2::Frame
| Frame (const ByteVector &data)
| Frame (Header *h)
void | setHeader (Header *h, bool deleteCurrent=true)
void | parse (const ByteVector &data)
ByteVector | fieldData (const ByteVector &frameData) const
String | readStringField (const ByteVector &data, String::Type encoding, int *position=nullptr)
String::Type | checkTextEncoding (const StringList &fields, String::Type encoding) const
virtual PropertyMap | asProperties () const

## Friends

class | FrameFactory

## Additional Inherited Members

Static Public Member Functions inherited from TagLib::ID3v2::Frame
static ByteVector | textDelimiter (String::Type t)
static ByteVector | keyToFrameID (const String &)
static String | frameIDToKey (const ByteVector &)
Static Public Attributes inherited from TagLib::ID3v2::Frame
static const String | instrumentPrefix
static const String | commentPrefix
static const String | lyricsPrefix
static const String | urlPrefix
Static Protected Member Functions inherited from TagLib::ID3v2::Frame
static void | splitProperties (const PropertyMap &original, PropertyMap &singleFrameProperties, PropertyMap &tiplProperties, PropertyMap &tmclProperties)

## Detailed Description

An implementation of ID3v2 private frame.

## Constructor & Destructor Documentation

## PrivateFrame() [1/3]

TagLib::ID3v2::PrivateFrame::PrivateFrame | ( |  | ) |

Construct an empty private frame.

Referenced by operator=(), PrivateFrame(), and renderFields().

## PrivateFrame() [2/3]

TagLib::ID3v2::PrivateFrame::PrivateFrame | ( | const ByteVector & | data | ) |

explicit

Construct a private frame based on the data in data.

Note
  This is the constructor used when parsing the frame from a file.

References data().

## ~PrivateFrame()

TagLib::ID3v2::PrivateFrame::~PrivateFrame | ( |  | ) |

override

Destroys this private frame instance.

## PrivateFrame() [3/3]

TagLib::ID3v2::PrivateFrame::PrivateFrame | ( | const PrivateFrame & |  | ) |

delete

References PrivateFrame().

## Member Function Documentation

## data()

ByteVector TagLib::ID3v2::PrivateFrame::data | ( |  | ) | const

Returns the private data.

Referenced by parseFields(), PrivateFrame(), renderFields(), and setData().

## operator=()

PrivateFrame & TagLib::ID3v2::PrivateFrame::operator= | ( | const PrivateFrame & |  | ) |

delete

References PrivateFrame().

## owner()

String TagLib::ID3v2::PrivateFrame::owner | ( |  | ) | const

Returns
  The owner of the private frame.

Note
  This should contain an email address or link to a website.

## parseFields()

void TagLib::ID3v2::PrivateFrame::parseFields | ( | const ByteVector & | data | ) |

override protected virtual

Called by parse() to parse the field data. It makes this information available through the public API. This must be overridden by the subclasses.

Implements TagLib::ID3v2::Frame.

References data().

## renderFields()

ByteVector TagLib::ID3v2::PrivateFrame::renderFields | ( |  | ) | const

override protected virtual

Render the field data back to a binary format in a ByteVector. This must be overridden by subclasses.

Implements TagLib::ID3v2::Frame.

References data(), PrivateFrame(), and TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## setData()

void TagLib::ID3v2::PrivateFrame::setData | ( | const ByteVector & | data | ) |

Sets the private data.

References data().

## setOwner()

void TagLib::ID3v2::PrivateFrame::setOwner | ( | const String & | s | ) |

Sets the owner of the frame to s.

Note
  This should contain an email address or link to a website.

## toString()

String TagLib::ID3v2::PrivateFrame::toString | ( |  | ) | const

override virtual

Returns the text of this private frame, currently just the owner.

See also
  text()

Implements TagLib::ID3v2::Frame.

## Friends And Related Symbol Documentation

## FrameFactory

friend class FrameFactory

friend

References FrameFactory.

Referenced by FrameFactory.

The documentation for this class was generated from the following file:

- privateframe.h